$(document).ready(function () {
    getSmartServer()
    getGreenHouse()

    function getSmartServer() {
        $.ajax({
            url: 'https://miroca.ru/connect/',
            type: 'GET',
        })
            .done(response => {
                const data = response
                // if (data['ethernet']===false || data['ethernet']===null ) {
                //     $("#ethernet").removeClass('card-title text-nowrap mb-1 text-server');
                //     $("#ethernet").addClass('card-title text-nowrap mb-1 text-light-servererror blink').text('Недоступен')
                // } else {
                //     $("#ethernet").removeClass('card-title text-nowrap mb-1 text-light-servererror blink');
                //     $("#ethernet").addClass('card-title text-nowrap mb-1 text-server ').text('OK')
                // }
                if (data['ethernet'] ==="false") {
                    $("#ethernet").removeClass('card-title text-nowrap mb-1 text-server');
                    $("#ethernet").addClass('card-title text-nowrap mb-1 text-light-servererror blink').text('Error')
                } else {
                    $("#ethernet").removeClass('card-title text-nowrap mb-1 text-light-servererror blink');
                    $("#ethernet").addClass('card-title text-nowrap mb-1 text-server ').text('OK')
                }
                setTimeout(function () {
                    getSmartServer()
                }, 10000)
            });
    }

    // Сделал API, так как нельзя Ajax дважды запрашивать внешний ip
    // function getGreenHouse() {
    //     $.ajax({
    //         url: 'http://miroca.ru/greenhouse',
    //         type: 'GET',
    //         mode: 'no-cors',
    //     })
    //         .done(response => {
    //             const dat = response
    //             if (dat['temp'][0] > 0) {
    //                 $("#temp_green").html('+' + dat['temp'][0] + '&deg;C')
    //             } else if (dat['temp'][0] === "") {
    //                 $("#temp_green").html(' ' + dat['temp'][0] + '&deg;C')
    //             } else {
    //                 $("#temp_green").html('-' + dat['temp'][0] + '&deg;C')
    //             }
    //             $('#damp').html(dat['sensor_lend_web'][0] + '%')
    //             setTimeout(function () {
    //                 getGreenHouse()
    //             }, 60000)
    //         });
    // }

});